# class Tile

#### package openfl.display

Available on all platforms

### Constructor

###

`new (id:Int = 0, x:Float = 0, y:Float = 0, scaleX:Float = 1, scaleY:Float = 1, rotation:Float = 0)`

### Variables

###

`read onlywrite onlyalpha:Float`

###

`read onlywrite onlycolorTransform:ColorTransform`

###

`data:Dynamic`

###

`read onlywrite onlyid:Int`

###

`read onlywrite onlymatrix:Matrix`

###

`read onlywrite onlyoriginX:Float`

###

`read onlywrite onlyoriginY:Float`

###

`read onlyparent:Tilemap`

###

`read onlywrite onlyrotation:Float`

###

`read onlywrite onlyscaleX:Float`

###

`read onlywrite onlyscaleY:Float`

###

`read onlywrite onlyshader:Shader`

###

`read onlywrite onlytileset:Tileset`

###

`read onlywrite onlyvisible:Bool`

###

`read onlywrite onlyx:Float`

###

`read onlywrite onlyy:Float`

### Methods

###

`clone ():Tile`